Content-type: text/html

# IPSEC_SHOWPOLICY

Section: Maintenance Commands (8)
Updated: 7 May 2003
Index Return to Main Contents

## NAME

ipsec showpolicy - dump policy of socket found as stdin

## SYNOPSIS

ipsec showpolicy

## DESCRIPTION

showpolicy calls the ipsec_policy_lookup(3) function on the file description which is its stdin.

It then dumps the resulting query in a human readable form.

This is a test program. One might run it from inetd, via:

discard stream tcp nowait nobody /usr/local/libexec/ipsec/showpolicy showpolicy

## FILES

/var/run/ipsecpolicy.ctl

## SEE ALSO

ipsec(8), ipsec_policy_query(3), ipsec_pluto(8)

## HISTORY

Written for the Linux FreeS/WAN project <http://www.freeswan.org/> by Michael Richardson

## BUGS

## Index

NAME
SYNOPSIS
DESCRIPTION
FILES
SEE ALSO
HISTORY
BUGS

This document was created by man2html, using the manual pages.
Time: 14:35:10 GMT, March 22, 2006